[
    {
        "Id": "2fdbbc5a99d2ecbc208b2736479b1a84fdcc3e681c10900f4cdcc7ccf69b8393",
        "Created": "2025-08-02T23:23:33.443766597Z",
        "Path": "./agent",
        "Args": [],
        "State": {
            "Status": "restarting",
            "Running": true,
            "Paused": false,
            "Restarting": true,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 0,
            "ExitCode": 1,
            "Error": "",
            "StartedAt": "2025-08-24T15:27:54.930014455Z",
            "FinishedAt": "2025-08-24T15:27:58.40347441Z"
        },
        "Image": "sha256:9f786420f6767b74a91694d90cef0fee1f8e1f27b1be8e5d55c70159bbd33509",
        "ResolvConfPath": "/var/lib/docker/containers/2fdbbc5a99d2ecbc208b2736479b1a84fdcc3e681c10900f4cdcc7ccf69b8393/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/2fdbbc5a99d2ecbc208b2736479b1a84fdcc3e681c10900f4cdcc7ccf69b8393/hostname",
        "HostsPath": "/var/lib/docker/containers/2fdbbc5a99d2ecbc208b2736479b1a84fdcc3e681c10900f4cdcc7ccf69b8393/hosts",
        "LogPath": "/var/lib/docker/containers/2fdbbc5a99d2ecbc208b2736479b1a84fdcc3e681c10900f4cdcc7ccf69b8393/2fdbbc5a99d2ecbc208b2736479b1a84fdcc3e681c10900f4cdcc7ccf69b8393-json.log",
        "Name": "/portainer_agent",
        "RestartCount": 13040,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "system_u:object_r:container_file_t:s0:c1022,c1023",
        "ProcessLabel": "",
        "AppArmorProfile": "",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/var/lib/docker/volumes:/var/lib/docker/volumes",
                "/var/run/docker.sock:/var/run/docker.sock"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "bridge",
            "PortBindings": {
                "9001/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "9001"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "always",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                5,
                119
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": null,
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": true,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": [
                "label=disable"
            ],
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": [],
            "BlkioDeviceReadBps": [],
            "BlkioDeviceWriteBps": [],
            "BlkioDeviceReadIOps": [],
            "BlkioDeviceWriteIOps": [],
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": [],
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": null,
            "ReadonlyPaths": null
        },
        "GraphDriver": {
            "Data": {
                "ID": "2fdbbc5a99d2ecbc208b2736479b1a84fdcc3e681c10900f4cdcc7ccf69b8393",
                "LowerDir": "/var/lib/docker/overlay2/8c87c187103baa9bc0d3cf94971daad1d170294c4648128c64c320e4f877847e-init/diff:/var/lib/docker/overlay2/2f2b9e773eefe1b9583048638614cc9409ecf89b59f93f11d8d0bbeb9051ac44/diff:/var/lib/docker/overlay2/e41a13991d0dd49bc9ca65677235cc6d5d0ad2ec2573d9355dbc1705c9155bf6/diff:/var/lib/docker/overlay2/1bfc7b84a4bd5d809593b1c69e69dd9f2f4f0f22d55839057ab880e0641b3172/diff:/var/lib/docker/overlay2/013e0804ea568f9b18e529c9bc45227d0684dee103b207cbe0508ea70f998b24/diff:/var/lib/docker/overlay2/5f5ff189de3535e3f1db922fe51100ec525d5bf19840c40a5494c55f3e39eea9/diff:/var/lib/docker/overlay2/8f6e0d1f4aef0cfefbf593c2194fd3d3853f793a3d5364b8dbcf4dd6d0307ad2/diff:/var/lib/docker/overlay2/b32915bc20bdf8923298ee020c68ecfd79af152310a953c7e8e05e60a345744f/diff:/var/lib/docker/overlay2/e7677b59e8f027b8a5fc4f202c5819266b7d4d51c44a916e5d84bd2997391b40/diff:/var/lib/docker/overlay2/46b42dbc5a4d2656c7cbdf472ec55e2d9230942db7fb7cd63873f587f75ce6fa/diff",
                "MergedDir": "/var/lib/docker/overlay2/8c87c187103baa9bc0d3cf94971daad1d170294c4648128c64c320e4f877847e/merged",
                "UpperDir": "/var/lib/docker/overlay2/8c87c187103baa9bc0d3cf94971daad1d170294c4648128c64c320e4f877847e/diff",
                "WorkDir": "/var/lib/docker/overlay2/8c87c187103baa9bc0d3cf94971daad1d170294c4648128c64c320e4f877847e/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/var/lib/docker/volumes",
                "Destination": "/var/lib/docker/volumes",
                "Mode": "",
                "RW": true,
                "Propagation": "rslave"
            },
            {
                "Type": "bind",
                "Source": "/var/run/docker.sock",
                "Destination": "/var/run/docker.sock",
                "Mode": "",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "2fdbbc5a99d2",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "ExposedPorts": {
                "9001/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/app:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": null,
            "Image": "portainer/agent:latest",
            "Volumes": null,
            "WorkingDir": "/app",
            "Entrypoint": [
                "./agent"
            ],
            "OnBuild": null,
            "Labels": {
                "io.portainer.agent": "true"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "",
            "SandboxKey": "",
            "Ports": {},
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "bridge": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": null,
                    "MacAddress": "",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "1c2a4a652e06fecc3ccdb0309844029ee10e7aa056d07eb89feb56af9719b022",
                    "EndpointID": "",
                    "Gateway": "",
                    "IPAddress": "",
                    "IPPrefixLen": 0,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": null
                }
            }
        }
    }
]
